# flake8: noqa
data="""---
namespace.tendrl.gluster_integration:
  flows:
    CreateVolume:
      atoms:
        - tendrl.gluster_integration.objects.volume.atoms.create
      description: "Create Volume with bricks"
      enabled: true
      inputs:
        mandatory:
          - Volume.volname
          - Volume.bricks
        optional:
          - Volume.stripe_count
          - Volume.replica_count
          - Volume.arbiter_count
          - Volume.disperse_count
          - Volume.disperse_data_count
          - Volume.redundancy_count
          - Volume.transport
          - Volume.force
      post_run:
        - tendrl.gluster_integration.objects.volume.atoms.volume_exists
      pre_run:
        - tendrl.gluster_integration.objects.volume.atoms.volume_not_exists
      run: tendrl.gluster_integration.flows.create_volume.CreateVolume
      type: Create
      uuid: 1951e821-7aa9-4a91-8183-e73bc8275b8e
      version: 1
    DeleteVolume:
      atoms:
        - tendrl.gluster_integration.objects.volume.atoms.delete
      description: "Delete Volume"
      enabled: true
      inputs:
        mandatory:
          - Volume.volname
          - Volume.vol_id
      post_run:
        - tendrl.gluster_integration.objects.volume.atoms.volume_not_exists
      pre_run:
        - tendrl.gluster_integration.objects.volume.atoms.volume_exists
      run: tendrl.gluster_integration.flows.delete_volume.DeleteVolume
      type: Delete
      uuid: 1951e821-7aa9-4a91-8183-e73bc8275b9e
      version: 1
    StartVolume:
      atoms:
        - tendrl.gluster_integration.objects.volume.atoms.start
      description: "Start Volume"
      enabled: true
      inputs:
        mandatory:
          - Volume.volname
      post_run:
        - tendrl.gluster_integration.objects.volume.atoms.volume_started
      pre_run:
        - tendrl.gluster_integration.objects.volume.atoms.volume_exists
      run: tendrl.gluster_integration.flows.start_volume.StartVolume
      type: Start
      uuid: 1951e821-7aa9-4a91-8183-e73bc8275b6e
      version: 1
    StopVolume:
      atoms:
        - tendrl.gluster_integration.objects.volume.atoms.stop
      description: "Stop Volume"
      enabled: true
      inputs:
        mandatory:
          - Volume.volname
      post_run:
        - tendrl.gluster_integration.objects.volume.atoms.volume_stopped
      pre_run:
        - tendrl.gluster_integration.objects.volume.atoms.volume_exists
      run: tendrl.gluster_integration.flows.stop_volume.StopVolume
      type: Stop
      uuid: 1951e821-7aa9-4a91-8183-e73bc8275b5e
      version: 1
  objects:
    Peers:
      enabled: true
      objects:
        hostname:
          help: "Gluster Peer hostname"
          type: String
        peer_uuid:
          help: "Gluster Peer uuid"
          type: String
        state:
          help: "Gluster Peer state"
          type: String
        update:
          help: "Last Peer update time"
          type: String
      value: clusters/$Tendrl_context.cluster_id/Peers/$Peer.peer_uuid
    Tendrl_context:
      attrs:
        cluster_id:
          help: "Tendrl managed/generated cluster id for the sds being managed by Tendrl"
          type: String
        sds_name:
          help: gluster
          type: String
        sds_version:
          help: "3.8.3"
          type: String
      enabled: true
      value: clusters/$Tendrl_context.cluster_id/Tendrl_context/
    Volume:
      atoms:
        create:
          enabled: true
          inputs:
            mandatory:
              - Volume.volname
              - Volume.bricks
            optional:
              - Volume.stripe_count
              - Volume.replica_count
              - Volume.arbiter_count
              - Volume.disperse_count
              - Volume.disperse_data_count
              - Volume.redundancy_count
              - Volume.transport
              - Volume.force
          name: create_volume
          run: tendrl.gluster_integration.objects.volume.atoms.create.Create
          type: Create
          uuid: 242f6190-9b37-11e6-950d-a24fc0d9649c
        delete:
          enabled: true
          inputs:
            mandatory:
              - Volume.volname
              - Volume.vol_id
          name: delete_volume
          run: tendrl.gluster_integration.objects.volume.atoms.delete.Delete
          type: Delete
          uuid: 242f6190-9b37-11e6-950d-a24fc0d9650c
        start:
          enabled: true
          inputs:
            mandatory:
              - Volume.volname
          name: start_volume
          run: tendrl.gluster_integration.objects.volume.atoms.start.Start
          type: Start
          uuid: 242f6190-9b37-11e6-950d-a24fc0d9651c
        stop:
          enabled: true
          inputs:
            mandatory:
              - Volume.volname
          name: stop_volume
          run: tendrl.gluster_integration.objects.volume.atoms.stop.Stop
          type: Stop
          uuid: 242f6190-9b37-11e6-950d-a24fc0d9652c
      attrs:
        arbiter_count:
          help: "Arbiter count of volume"
          type: Integer
        bricks:
          help: "List of brick mnt_paths for volume"
          type: List
        deleted:
          help: "Flag is volume is deleted"
          type: Boolean
        disperse_count:
          help: "Disperse count of volume"
          type: Integer
        disperse_data_count:
          help: "Disperse data count of volume"
          type: Integer
        force:
          help: "If force execute the action"
          type: Boolean
        redundancy_count:
          help: "Redundancy count of volume"
          type: Integer
        replica_count:
          help: "Replica count of volume"
          type: Integer
        stripe_count:
          help: "Stripe count of volume"
          type: Integer
        transport:
          help: "Transport type for volume"
          type: String
        vol_id:
          help: "ID of the gluster volume"
          type: String
        volname:
          help: "Name of gluster volume"
          type: String
      enabled: true
      value: clusters/$Tendrl_context.cluster_id/Volumes/$Volume.vol_id/
tendrl_schema_version: 0.3
"""
